## org.exist.util
Class ProgressIndicator

    java.lang.Object
      org.exist.util.ProgressIndicator

public class ProgressIndicator
extends java.lang.Object

This class is used to report information about the parsing progress to registered observers.

Author:
  wolf

Constructor Summary
`ProgressIndicator(float max)`
`ProgressIndicator(float max, int step)`

Method Summary
`boolean` `changed()`
`void` `finish()`
`double` `getMax()` Gets the max attribute of the ProgressIndicator object
`int` `getPercentage()` Gets the percentage attribute of the ProgressIndicator object
`double` `getValue()` Gets the value attribute of the ProgressIndicator object
`void` `setValue(float value)` Sets the value attribute of the ProgressIndicator object

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProgressIndicator

    public ProgressIndicator(float max,
                             int step)

### ProgressIndicator

    public ProgressIndicator(float max)

Method Detail

### setValue

    public void setValue(float value)

  Sets the value attribute of the ProgressIndicator object

  Parameters:
    `value` - The new value value

### finish

    public void finish()

### getPercentage

    public int getPercentage()

  Gets the percentage attribute of the ProgressIndicator object

  Returns:
    The percentage value

### changed

    public boolean changed()

### getMax

    public double getMax()

  Gets the max attribute of the ProgressIndicator object

  Returns:
    The max value

### getValue

    public double getValue()

  Gets the value attribute of the ProgressIndicator object

  Returns:
    The value value

Copyright (C) Wolfgang Meier. All rights reserved.